/*                                                                
**  Copyright (C) 2003,2005,2007,2010,2018  Smithsonian Astrophysical Observatory 
*/                                                                
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 3 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.             */
/*                                                                          */

/*****************************************************************/
/*                                                               */
/*   dmlimits.h                                                  */
/*                                                               */
/*   This file contains mins and maxes of DM datatypes           */
/*                                                               */
/*                                                               */
/*                                                               */
/*****************************************************************/

#ifndef DMTYPES_H
#define DMTYPES_H


/* Mins and maxes of the DM datatypes */
#define DT_INT2_MAX   32767
#define DT_INT2_MIN   (-DT_INT2_MAX - 1)
#define DT_UINT2_MAX  65535
#define DT_UINT2_MIN  0
#define DT_INT4_MAX   2147483647L              /* max 32-bit long integer                */
#define DT_INT4_MIN   (-DT_INT4_MAX - 0L)      /* min 32-bit long integer                */
#define DT_UINT4_MAX  4294967295UL             /* max 32-bit unsigned long integer       */
#define DT_UINT4_MIN  0                        /* min 32-bit unsigned long integer       */
#define DT_INT8_MAX   9223372036854775807LL    /* max 64-bit long long integer           */
#define DT_INT8_MIN   (-DT_INT8_MAX -1LL)      /* min 64-bit long long integer           */
#define DT_UINT8_MAX  18446744073709551615ULL  /* max 64-bit unsigned long long integer  */
#define DT_UINT8_MIN  0ULL                     /* min 64-bit unsigned long long integer  */
#define DT_REAL4_MAX  3.402823466E+38F
#define DT_REAL4_MIN -DT_REAL4_MAX
#define DT_REAL8_MAX  1.7976931348623157E+308
#define DT_REAL8_MIN -DT_REAL8_MAX
#define DT_UINT1_MAX  255
#define DT_UINT1_MIN  0

#endif
