/* Copyright (c) 1994, 1998 John E. Davis
 * This file is part of the JDMath library.
 *
 * You may distribute this file under the terms the GNU General Public
 * License.
 */

typedef struct 
{
   double inv_dx, inv_dy;	       /* Inverse length of sizes */
   double x,y;			       /* lower left corner */
#define DS_MAX_BILINEAR_DIMS	10
   unsigned int num_dims;
   double f0[DS_MAX_BILINEAR_DIMS]; /* function value at ll corner */
   double f1[DS_MAX_BILINEAR_DIMS]; /* function value at lr - ll */
   double f2[DS_MAX_BILINEAR_DIMS]; /* function value at ul - ll */
   double f3[DS_MAX_BILINEAR_DIMS]; /* function value at ur + ll - lr - ul */
}
ds_Bilinear_Interp_Type;

extern int ds_bilinear_init (ds_Bilinear_Interp_Type* box,/* O - struct to populate */
		      double llx, double lly,   /* lower left corner coords */
		      double dx, double dy,   /* length of sizes */
		      unsigned int n,   /* num-dims */
		      double * f_ll, /* Values at LL corner */
		      double * f_lr, /* Values at LR corner */
		      double * f_ul, /* Values at UL corner */
		      double * f_ur /* Values at UR corner */);

extern int ds_bilinear_interp (ds_Bilinear_Interp_Type * box,
			double x, double y,   /* coords of point */
			double *results);   /* O - result(s) */

