/*                                                                
**  Copyright (C) 1998-2000,2003,2007  Smithsonian Astrophysical Observatory 
*/                                                                
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 3 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.             */
/*                                                                          */


/************************************************************************/
/* history header file                                                  */
/************************************************************************/
#ifndef HIST_HDR_H
#define HIST_HDR_H

#include  <stdlib.h>
#include  <stdio.h>
#include  <stddef.h>
#include  <string.h>  
#include  <unistd.h>
#include  "parameter.h"          /* header for parameter file */

#ifndef ASCDM_H
#include "ascdm.h"               /* header for data model file */
#endif

#ifndef STKLIB
#include "dmstack.h"
#endif

#define  STRING_LEN  100
#define  HIST_LEN    1024
#define  HVALUE_LEN   56 

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif


/*INFILE_F=infile flag; OUTFILE_F=outfile flag; TOOL_F=tool name flag*/
#define  INFILE_F    1
#define  OUTFILE_F   2
#define  TOOL_F      3
#define  GENERIC_F   4
#define  STACKEX_F   5

extern  void put_history(dmBlock *read_write, char *tool_name,    
                  char *infile_name, char *outfile_name, int verbose);
extern  void put_one_hist_info(dmBlock *read_write, char *parm_tool_str, 
                         int str_flag, int verbose );
extern  void reformat_hstr(char *hstr, int str_flg, int verbose );
extern  void get_keyvalue(char *keyword_value, char *parm_tool_str,
                     long *histnum, int ii, short *first, int str_flag, 
                     int catlen, int verbose );
extern  void get_hlable(char *hist_lable, short *first, int str_flag );

extern  void get_hseqstr(char  *seqstr, long histnum, int verbose ) ;
extern  void replace_str(char  *dest, char *src) ;
extern  void append_blank(char *dest, int more) ;

extern  int put_stack_hist_info(dmBlock *write_to, Stack stack,
                  int str_flag, int verb);

extern  int put_param_hist_info( dmBlock *write_to, char *toolName, 
				 paramfile pfile, int verb);
extern  void hist_get_date( char out_date[HVALUE_LEN] ) ;

#endif /* HIST_HDR_H    */
