// 
//  Copyright (C) 2000-2001,2007  Smithsonian Astrophysical Observatory
//
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along
//  with this program; if not, write to the Free Software Foundation, Inc.,
//  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//


#ifndef  _RMF_READ_FEF_HH_
#define  _RMF_READ_FEF_HH_

#include "rmf_keywords.hh"

extern "C" {
 #include "ascdm.h"
}
//
// abstract class
//

class RMFReadFEF : public RMFKeywords
{

public:
  RMFReadFEF():RMFKeywords(){d_dmBKfef = NULL;};
  RMFReadFEF(dsErrList* _errLst, FILE *_log, short _verb):RMFKeywords(_errLst, _log, _verb){d_dmBKfef = NULL;};
  ~RMFReadFEF(){ if(d_dmBKfef != NULL) CloseFEF();};

  void CloseFEF(){dmDatasetTableClose(d_dmBKfef); d_dmBKfef = NULL;};
  void Read(const char *extn);
  RMFGeneral::ERROR ReadFields();
  RMFGeneral::ERROR ReadFields(const char *fileName ){
    d_dmBKfef = dmDatasetTableOpen( (char*)fileName); return ReadFields();};
  RMFGeneral::ERROR GetKeywordSetFor(const char *extn,
				     vector<string> &_keywd, 
				     vector<string> &_val, 
				     vector<string> &_com, 
				     vector<string> &_dtype
				     );
  RMFGeneral::ERROR AddFEFKeywords(vector<string> _extn );
  RMFGeneral::ERROR FilterFEF(char *_filter);
  RMFGeneral::ERROR ReadCol(char *axis_name, float **_data, long *sz);
  RMFGeneral::ERROR GroupFtypeKwds();  
  void DisFtype();
  bool IsMetaFEF();

private:
  dmBlock      *d_dmBKfef;
  char         *d_fname;

  RMFGeneral::ERROR UpdateAndAddKeywords(const char *_base, short);
  RMFGeneral::ERROR ReadKeyAt(long ii);
  RMFGeneral::ERROR UpdateCommentFields();
  void ModifyComment(const char *, short, char *, bool);
  char **GetFKeywords(short *n_fkwds);
};
#endif  //_RMF_READ_FEF_HH_

