export PKG_CONFIG_PATH="$PREFIX/lib/pkgconfig:$BUILD_PREFIX/lib/pkgconfig"

if [ "$(uname -s)" == "Darwin" ] && [ "$(uname -m)" == "arm64" ] ; then
   CONDA_BUILD_SYSROOT="${MACOSX_SDK:-/opt/MacOSX11.0.sdk}"
elif [ "$(uname -s)" == "Darwin" ] ; then
   CONDA_BUILD_SYSROOT="${MACOSX_SDK:-/opt/MacOSX10.9.sdk}"
fi

#Configure, build, install
# "-DCACHE_INIT=ON" Enables the caching of "init" scripts
mkdir build
cd build
cmake .. -DCMAKE_INSTALL_PREFIX=${PREFIX} -G Ninja -DCACHE_INIT=ON
cmake --build .
cmake --install . --prefix ${PREFIX}

#This needs to be removed. Here for now as
#some smoke tests currently still rely on this
touch ${PREFIX}/bin/ciao_setup.sh
touch ${PREFIX}/bin/ciao.sh

#Create a list of all of the bin files installed
#Used by ciao-configure to wrap CIAO
grep "${PREFIX}\/bin\/" install_manifest.txt | grep -v "ciao-confgure" | sed "s|${PREFIX}/bin/||g" 1>${PREFIX}/init/ciao_bin.txt

# Copy the [de]activate scripts to $PREFIX/etc/conda/[de]activate.d.
# This will allow them to be run on environment activation.
for CHANGE in "activate" "deactivate"
do
    mkdir -p "${PREFIX}/etc/conda/${CHANGE}.d"
    cp "${RECIPE_DIR}/${CHANGE}.sh" "${PREFIX}/etc/conda/${CHANGE}.d/${PKG_NAME}_${CHANGE}.sh"
    cp "${RECIPE_DIR}/${CHANGE}.csh" "${PREFIX}/etc/conda/${CHANGE}.d/${PKG_NAME}_${CHANGE}.csh"
done

#Create a list of all of the parameter files
# Used by the post-link.sh and pre-unlink.sh scripts
# to remove and add write permissions respectively
cd ${PREFIX}/param
find * -maxdepth 0 -type f -name "*.par" -exec echo {} \; > ${PREFIX}/param/.param.ciao
