#
# Replace with variable via configure
#
ASCDS_QUIET=1; export ASCDS_QUIET
ASCDS_OVERRIDE=1; export ASCDS_OVERRIDE
. $ASCDS_INSTALL/test/smoke/bin/setup.sh

#
# Setup test env
#
TESTDIR=$ASCDS_INSTALL/test/smoke/data; export TESTDIR
OUTDIR=$ASCDS_WORK_PATH/smoke.${LOGNAME}/$TESTID; export OUTDIR
SAVEDIR=$TESTDIR; export SAVEDIR
INDIR=$TESTDIR

#
# --!!  check $ASCDS_WORK_PATH exist, writeable, has enough space
#
CALDB=$TESTDIR/CALDB; export CALDB
CALDBCONFIG=$CALDB/software/tools/caldb.config ; export CALDBCONFIG
CALDBALIAS=$CALDB/software/tools/alias_config.fits ; export CALDBALIAS
PFILES="$OUTDIR/param;$ASCDS_INSTALL/param"; export PFILES

if test -d $OUTDIR
then
   \rm -rf $OUTDIR
#  echo ""
#  echo "FAIL: Directory $OUTDIR exists, Cannot run $TESTID"
#  exit 1
fi

mkdir -p $OUTDIR/param

#
# Run command
#

#
# Make test id pretty
#
PTESTID=`echo $TESTID | sed 's,.$,-smoke00&,'`
printf "Running test $PTESTID "
printf "."

POUTDIR=$ASCDS_WORK_PATH/smoke.${LOGNAME}/$PTESTID
ln -s $OUTDIR $POUTDIR


if test x$SCIDEV_DEBUG != x
then
  echo "$TESTCMD"
fi


(eval "$TESTCMD")  > ${OUTDIR}/run.log 2>&1
if test $? != 0
then
  ##echo ".. FAIL: Problems running command for test: $TESTID"
  if [ -f $OUTDIR/run.log ] ; then
      touch $OUTDIR/diff.log
      cat $OUTDIR/run.log >> $OUTDIR/diff.log
  fi
  echo  ".. FAIL"
  exit 1
fi

printf "."

#
# Run checks on the output files.
#
state=0
for f in $OUTFILES
do
  dmdiff "$OUTDIR/${f}" "$SAVEDIR/${f}" tol=$SAVEDIR/${TESTID}.tol verbose=1 ${DMDIFF_EXTRA} \
   2>&1 >> $OUTDIR/diff.log
  if test $? != 0
  then
    state=1
  fi
done

#
# Exit condition
#
printf ". "
if test $state = 0
then
  echo "PASS"
  \rm -rf $OUTDIR
  \rm $POUTDIR
  xx=`\ls $ASCDS_WORK_PATH/smoke.${LOGNAME}`
  if test "x$xx" = "x"
  then
    rmdir $ASCDS_WORK_PATH/smoke.${LOGNAME}
  fi
else
  echo "FAIL"
fi


exit $state
